Page 2 of 2

Re: CMS - Editable Content

Posted: Wed Sep 02, 2020 1:27 pm
by WWBman
I have Editable Content working fine with PHP version set to PHP5-PHP7 in Page Properties > Advanced.
You don't have to change this setting in other projects.

Re: CMS - Editable Content

Posted: Wed Sep 02, 2020 1:27 pm
by brynj
@Pablo

Carefully avoided my other questions - its ok I understand nothing is guaranteed. :)

I am currently using 'Newswriter' without issue and just thought the CMS Editable Content would be an interesting alternative.

Re: CMS - Editable Content

Posted: Wed Sep 02, 2020 1:32 pm
by brynj
@WWBman

Yes my pages are set the same - I believe Pablo is/was referring to the web hosts server.

Re: CMS - Editable Content

Posted: Wed Sep 02, 2020 1:33 pm
by WWBman
brynj wrote:
Wed Sep 02, 2020 1:32 pm
@WWBman

Yes my pages are set the same - I believe Pablo is/was referring to the web hosts server.
OK

Re: CMS - Editable Content

Posted: Wed Sep 02, 2020 1:36 pm
by brynj
I would be interested if anyone has experience of moving from 5.6 to 7.3 and if everything worked as normal or if they experienced any issues with things no longer working.

I say this as I have no knowledge what to expect if i make the move.

Re: CMS - Editable Content

Posted: Wed Sep 02, 2020 1:38 pm
by Pablo
All built-in scripts work with PHP7.

Re: CMS - Editable Content

Posted: Wed Sep 02, 2020 1:41 pm
by brynj
@Pablo

Just thinking - what about the issue of not being able to set permissions to to 775 or 777 as per instructions - is that a possible cause ?

(Reminder - when set to those I get a '500 internal server error' in the browser)

Re: CMS - Editable Content

Posted: Wed Sep 02, 2020 1:51 pm
by WWBman
FWIW:
All my folders are set to 755
and my files are set to 644.
I never need to change them.

Re: CMS - Editable Content

Posted: Wed Sep 02, 2020 1:58 pm
by brynj
WWBman wrote:
Wed Sep 02, 2020 1:51 pm
FWIW:
All my folders are set to 755
and my files are set to 644.
I never need to change them.
Thanks for the info

Re: CMS - Editable Content

Posted: Wed Sep 02, 2020 3:36 pm
by brynj
Interesting development ......

I signed up to a free webhost and they run PHP v7.4.8 .....

and it works !!!!

So I guess I need to bite the bullet and update to v7 with my normal webhost.